window.onload = funcOnload;
/**
 * Internet Explorer判定
 */
function isMSIE() {
	var userAgent = window.navigator.userAgent.toLowerCase();
	console.log(userAgent);
	if(userAgent.indexOf('msie') != -1 ||
		userAgent.indexOf('trident') != -1) {
		return true;
	}
	return false;
}
/**
 * ボディオンロードイベント処理
 *
 */
function funcOnload() {
	if (isMSIE()) {
		alert(getResources("login:IE_NOT_SUPPORTED"));
		document.getElementById("Browser_Error").style.display = 'block';
		return;
	}

	document.getElementById('loginBtn').onclick = function(e) {
		e.preventDefault();

		let data = {
			"user": document.getElementById("login_id").value,
			"passwd": document.getElementById("password").value
		};
	
		clearInput();
		setProcessing(true);
		document.getElementById("loginBtn").disabled = true;

		login(data)
		.then( function(ret) {
			if(ret.status == "ok") {
				changePage("admin.html");
			}
			else {
				showServerError(getResources("login:LOGIN_FAILED"));
			}
			setProcessing(false);
			document.getElementById("loginBtn").disabled = false;
		})
		.catch(function() {
			showServerError(getResources("login:LOGIN_FAILED"));
			setProcessing(false);
			document.getElementById("loginBtn").disabled = false;
		});

	}

}

/**
 * ログイン
 * @param {object} data 
 */
function login(data) {
	return doPost("/login", data)
}

/**
 * 入力クリア
 */
function clearInput() {
	document.getElementById("login_id").value = "";
	document.getElementById("password").value = "";
}

/**
 * 処理中イメージ表示
 * @param {bool} processing - 処理中 
 */
function setProcessing(processing) {
	if(processing) {
		document.getElementById("processing").style.display = "block";
	}
	else {
		document.getElementById("processing").style.display = "none";
	}
}
