window.onload = funcOnload;
/**
 * ボディオンロードイベント処理
 *
 */
function funcOnload() {
	// showAdminPage();

	getTerminalInfo()
	.then((termInfo) => {
		setDictionaryData("headerTerminalInfo", termInfo);
	});

	document.getElementById('updateBtn').onclick = funcUpdate;

	addOnChangeListnerToInput("passwordTbody", funcChange);

}

/**
 * 入力項目チェック
 * @returns 結果
 */
function funcInputCheck() {
	var bCheckResult = true;
	let oldPass = getDataElem("passwordTbody", "oldpasswd");
	let newPass = getDataElem("passwordTbody", "newpasswd");
	let newPass2 = getDataElem("passwordTbody", "newpasswd2");

	// //現在のパスワード
	// clearErrorOnTrById("TR_OldPass", "P_OldPass");
	// if(oldPass.value.length == 0 ) {
	// 	setErrorOnTrById("TR_OldPass", "P_OldPass", '※現在のパスワードを入力してください。');
	// 	bCheckResult = false;
	// }

	//新しいパスワード
	clearErrorOnTrById("TR_NewPass", "P_NewPass");
	if(newPass.value.length == 0 ) {
		setErrorOnTrById("TR_NewPass", "P_NewPass", getResources("password:PASSWD_ERROR_REQUIRED"));
		bCheckResult = false;
	}

	//新しいパスワード（確認）
	clearErrorOnTrById("TR_NewPass2", "P_NewPass2");
	if(newPass2.value != newPass.value) {
		setErrorOnTrById("TR_NewPass2", "P_NewPass2", getResources("password:PASSWD_ERROR_NOT_MATCH"));
		bCheckResult = false;
	}

	if(bCheckResult == false) {
		showDivError();
		return false;
	} else {
		hideDivError();
		return true;
	}
}

/**
 * 入力コントロールの無効・有効
 * @param {boolean} disabled - 無効
 */
function disableControls(disabled) {
	setInputDisabled("passwordTbody", disabled);
	document.getElementById("updateBtn").disabled = disabled;
}

/**
 * 更新
 */
function doUpdate() {
	let param = getDictionaryData("passwordTbody");
	let user = getUser();
	param["user"] = user;

	disableControls(true);

	doPost("set/password", param, handleLoginError)
	.then((resp) => {
		if (resp.status == "ok") {
			// alert(getResources("password:PASSWORD_SUCCESS"));
			location.reload();
		}
		else {
			showServerError(getResources("password:PASSWORD_FAILED"));
			disableControls(false);
		}
	})
	.catch(() => {
		showServerError(getResources("password:PASSWORD_FAILED"));
		disableControls(false);
	});
}