from kivy.properties import StringProperty
from kivy.uix.screenmanager import Screen
from recv_dev.config import TerminalInfo
from resources import Resources
from setup_logger import setup_logger_devel


class ShutdownScreen(Screen):
    """シャットダウン画面
    """

    lang = StringProperty('')
    res = Resources()


    def __init__(self, **kwargs):
        """コンストラクタ
        """
        super(ShutdownScreen, self).__init__(**kwargs)
        self.logger = setup_logger_devel(self.__class__.__name__)
        self.lang = TerminalInfo().language

    def on_enter(self):
        """画面表示時に実行される
        """
        self.lang = TerminalInfo().language


