#!/bin/bash
AUTH_KEYS_FILE=/home/pi/.ssh/authorized_keys
PUB_KEY="ssh-ed25519 AAAAC3NzaC1lZDI1NTE5AAAAIN2d2CSszK1PO/llbaamIK+6SZBhNbQpt4/GiGc35vu+ Beyond EC maintenance"
SSHD_CONFIG=/etc/ssh/sshd_config
if ! [ -f "$AUTH_KEYS_FILE" ]; then
    echo "$PUB_KEY" >> $AUTH_KEYS_FILE 
    chmod 600 $AUTH_KEYS_FILE
    chown pi:pi $AUTH_KEYS_FILE

    sed -i -r 's/#(PasswordAuthentication) (yes|no)/\1 no/g' $SSHD_CONFIG
fi